
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.moneta.test.dsl.cebia.serialization.arrays.ArrayOfdecimal;
import cz.moneta.test.dsl.cebia.serialization.arrays.ArrayOfint;
import cz.moneta.test.dsl.cebia.serialization.arrays.ArrayOfstring;


/**
 * <p>Java class for WSSearchCriteriaValuesResponse complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSSearchCriteriaValuesResponse"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="TxID" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/&gt;
 *         &lt;element name="BrandNames" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="ModelNames" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="ModelGenerations" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfint" minOccurs="0"/&gt;
 *         &lt;element name="ModelYears" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfint" minOccurs="0"/&gt;
 *         &lt;element name="ModelCodesOM" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="EquipmentLevels" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="EngineCapacitiesCcm" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfint" minOccurs="0"/&gt;
 *         &lt;element name="EngineCapacitiesLiters" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfdecimal" minOccurs="0"/&gt;
 *         &lt;element name="EnginePowersKW" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfint" minOccurs="0"/&gt;
 *         &lt;element name="FuelTypes" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="FuelTypesIDs" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="GearboxTypes" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="GearboxTypesIDs" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="Gears" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfint" minOccurs="0"/&gt;
 *         &lt;element name="DriveTypes" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="DriveTypesIDs" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="BodyWorkTypes" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="BodyWorkTypesIDs" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="Doors" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfint" minOccurs="0"/&gt;
 *         &lt;element name="Seats" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfint" minOccurs="0"/&gt;
 *         &lt;element name="Weights" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfint" minOccurs="0"/&gt;
 *         &lt;element name="Wheelbases" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfint" minOccurs="0"/&gt;
 *         &lt;element name="OverallLengths" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfint" minOccurs="0"/&gt;
 *         &lt;element name="OverallHeights" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfint" minOccurs="0"/&gt;
 *         &lt;element name="BrandLocalNames" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="ModelLocalNames" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="EquipmentLocalLevels" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="VehicleKinds" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="VehicleKindsIDs" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="OverallWidths" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfint" minOccurs="0"/&gt;
 *         &lt;element name="Payloads" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfint" minOccurs="0"/&gt;
 *         &lt;element name="WheelbasesPlus" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfint" minOccurs="0"/&gt;
 *         &lt;element name="CabinTypes" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *         &lt;element name="BoxTypes" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfstring" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSSearchCriteriaValuesResponse", propOrder = {
    "txID",
    "brandNames",
    "modelNames",
    "modelGenerations",
    "modelYears",
    "modelCodesOM",
    "equipmentLevels",
    "engineCapacitiesCcm",
    "engineCapacitiesLiters",
    "enginePowersKW",
    "fuelTypes",
    "fuelTypesIDs",
    "gearboxTypes",
    "gearboxTypesIDs",
    "gears",
    "driveTypes",
    "driveTypesIDs",
    "bodyWorkTypes",
    "bodyWorkTypesIDs",
    "doors",
    "seats",
    "weights",
    "wheelbases",
    "overallLengths",
    "overallHeights",
    "brandLocalNames",
    "modelLocalNames",
    "equipmentLocalLevels",
    "vehicleKinds",
    "vehicleKindsIDs",
    "overallWidths",
    "payloads",
    "wheelbasesPlus",
    "cabinTypes",
    "boxTypes"
})
public class WSSearchCriteriaValuesResponse {

    @XmlElement(name = "TxID")
    protected Long txID;
    @XmlElement(name = "BrandNames", nillable = true)
    protected ArrayOfstring brandNames;
    @XmlElement(name = "ModelNames", nillable = true)
    protected ArrayOfstring modelNames;
    @XmlElement(name = "ModelGenerations", nillable = true)
    protected ArrayOfint modelGenerations;
    @XmlElement(name = "ModelYears", nillable = true)
    protected ArrayOfint modelYears;
    @XmlElement(name = "ModelCodesOM", nillable = true)
    protected ArrayOfstring modelCodesOM;
    @XmlElement(name = "EquipmentLevels", nillable = true)
    protected ArrayOfstring equipmentLevels;
    @XmlElement(name = "EngineCapacitiesCcm", nillable = true)
    protected ArrayOfint engineCapacitiesCcm;
    @XmlElement(name = "EngineCapacitiesLiters", nillable = true)
    protected ArrayOfdecimal engineCapacitiesLiters;
    @XmlElement(name = "EnginePowersKW", nillable = true)
    protected ArrayOfint enginePowersKW;
    @XmlElement(name = "FuelTypes", nillable = true)
    protected ArrayOfstring fuelTypes;
    @XmlElement(name = "FuelTypesIDs", nillable = true)
    protected ArrayOfstring fuelTypesIDs;
    @XmlElement(name = "GearboxTypes", nillable = true)
    protected ArrayOfstring gearboxTypes;
    @XmlElement(name = "GearboxTypesIDs", nillable = true)
    protected ArrayOfstring gearboxTypesIDs;
    @XmlElement(name = "Gears", nillable = true)
    protected ArrayOfint gears;
    @XmlElement(name = "DriveTypes", nillable = true)
    protected ArrayOfstring driveTypes;
    @XmlElement(name = "DriveTypesIDs", nillable = true)
    protected ArrayOfstring driveTypesIDs;
    @XmlElement(name = "BodyWorkTypes", nillable = true)
    protected ArrayOfstring bodyWorkTypes;
    @XmlElement(name = "BodyWorkTypesIDs", nillable = true)
    protected ArrayOfstring bodyWorkTypesIDs;
    @XmlElement(name = "Doors", nillable = true)
    protected ArrayOfint doors;
    @XmlElement(name = "Seats", nillable = true)
    protected ArrayOfint seats;
    @XmlElement(name = "Weights", nillable = true)
    protected ArrayOfint weights;
    @XmlElement(name = "Wheelbases", nillable = true)
    protected ArrayOfint wheelbases;
    @XmlElement(name = "OverallLengths", nillable = true)
    protected ArrayOfint overallLengths;
    @XmlElement(name = "OverallHeights", nillable = true)
    protected ArrayOfint overallHeights;
    @XmlElement(name = "BrandLocalNames", nillable = true)
    protected ArrayOfstring brandLocalNames;
    @XmlElement(name = "ModelLocalNames", nillable = true)
    protected ArrayOfstring modelLocalNames;
    @XmlElement(name = "EquipmentLocalLevels", nillable = true)
    protected ArrayOfstring equipmentLocalLevels;
    @XmlElement(name = "VehicleKinds", nillable = true)
    protected ArrayOfstring vehicleKinds;
    @XmlElement(name = "VehicleKindsIDs", nillable = true)
    protected ArrayOfstring vehicleKindsIDs;
    @XmlElement(name = "OverallWidths", nillable = true)
    protected ArrayOfint overallWidths;
    @XmlElement(name = "Payloads", nillable = true)
    protected ArrayOfint payloads;
    @XmlElement(name = "WheelbasesPlus", nillable = true)
    protected ArrayOfint wheelbasesPlus;
    @XmlElement(name = "CabinTypes", nillable = true)
    protected ArrayOfstring cabinTypes;
    @XmlElement(name = "BoxTypes", nillable = true)
    protected ArrayOfstring boxTypes;

    /**
     * Gets the value of the txID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getTxID() {
        return txID;
    }

    /**
     * Sets the value of the txID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setTxID(Long value) {
        this.txID = value;
    }

    /**
     * Gets the value of the brandNames property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getBrandNames() {
        return brandNames;
    }

    /**
     * Sets the value of the brandNames property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setBrandNames(ArrayOfstring value) {
        this.brandNames = value;
    }

    /**
     * Gets the value of the modelNames property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getModelNames() {
        return modelNames;
    }

    /**
     * Sets the value of the modelNames property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setModelNames(ArrayOfstring value) {
        this.modelNames = value;
    }

    /**
     * Gets the value of the modelGenerations property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfint }
     *     
     */
    public ArrayOfint getModelGenerations() {
        return modelGenerations;
    }

    /**
     * Sets the value of the modelGenerations property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfint }
     *     
     */
    public void setModelGenerations(ArrayOfint value) {
        this.modelGenerations = value;
    }

    /**
     * Gets the value of the modelYears property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfint }
     *     
     */
    public ArrayOfint getModelYears() {
        return modelYears;
    }

    /**
     * Sets the value of the modelYears property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfint }
     *     
     */
    public void setModelYears(ArrayOfint value) {
        this.modelYears = value;
    }

    /**
     * Gets the value of the modelCodesOM property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getModelCodesOM() {
        return modelCodesOM;
    }

    /**
     * Sets the value of the modelCodesOM property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setModelCodesOM(ArrayOfstring value) {
        this.modelCodesOM = value;
    }

    /**
     * Gets the value of the equipmentLevels property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getEquipmentLevels() {
        return equipmentLevels;
    }

    /**
     * Sets the value of the equipmentLevels property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setEquipmentLevels(ArrayOfstring value) {
        this.equipmentLevels = value;
    }

    /**
     * Gets the value of the engineCapacitiesCcm property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfint }
     *     
     */
    public ArrayOfint getEngineCapacitiesCcm() {
        return engineCapacitiesCcm;
    }

    /**
     * Sets the value of the engineCapacitiesCcm property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfint }
     *     
     */
    public void setEngineCapacitiesCcm(ArrayOfint value) {
        this.engineCapacitiesCcm = value;
    }

    /**
     * Gets the value of the engineCapacitiesLiters property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfdecimal }
     *     
     */
    public ArrayOfdecimal getEngineCapacitiesLiters() {
        return engineCapacitiesLiters;
    }

    /**
     * Sets the value of the engineCapacitiesLiters property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfdecimal }
     *     
     */
    public void setEngineCapacitiesLiters(ArrayOfdecimal value) {
        this.engineCapacitiesLiters = value;
    }

    /**
     * Gets the value of the enginePowersKW property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfint }
     *     
     */
    public ArrayOfint getEnginePowersKW() {
        return enginePowersKW;
    }

    /**
     * Sets the value of the enginePowersKW property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfint }
     *     
     */
    public void setEnginePowersKW(ArrayOfint value) {
        this.enginePowersKW = value;
    }

    /**
     * Gets the value of the fuelTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getFuelTypes() {
        return fuelTypes;
    }

    /**
     * Sets the value of the fuelTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setFuelTypes(ArrayOfstring value) {
        this.fuelTypes = value;
    }

    /**
     * Gets the value of the fuelTypesIDs property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getFuelTypesIDs() {
        return fuelTypesIDs;
    }

    /**
     * Sets the value of the fuelTypesIDs property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setFuelTypesIDs(ArrayOfstring value) {
        this.fuelTypesIDs = value;
    }

    /**
     * Gets the value of the gearboxTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getGearboxTypes() {
        return gearboxTypes;
    }

    /**
     * Sets the value of the gearboxTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setGearboxTypes(ArrayOfstring value) {
        this.gearboxTypes = value;
    }

    /**
     * Gets the value of the gearboxTypesIDs property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getGearboxTypesIDs() {
        return gearboxTypesIDs;
    }

    /**
     * Sets the value of the gearboxTypesIDs property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setGearboxTypesIDs(ArrayOfstring value) {
        this.gearboxTypesIDs = value;
    }

    /**
     * Gets the value of the gears property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfint }
     *     
     */
    public ArrayOfint getGears() {
        return gears;
    }

    /**
     * Sets the value of the gears property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfint }
     *     
     */
    public void setGears(ArrayOfint value) {
        this.gears = value;
    }

    /**
     * Gets the value of the driveTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getDriveTypes() {
        return driveTypes;
    }

    /**
     * Sets the value of the driveTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setDriveTypes(ArrayOfstring value) {
        this.driveTypes = value;
    }

    /**
     * Gets the value of the driveTypesIDs property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getDriveTypesIDs() {
        return driveTypesIDs;
    }

    /**
     * Sets the value of the driveTypesIDs property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setDriveTypesIDs(ArrayOfstring value) {
        this.driveTypesIDs = value;
    }

    /**
     * Gets the value of the bodyWorkTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getBodyWorkTypes() {
        return bodyWorkTypes;
    }

    /**
     * Sets the value of the bodyWorkTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setBodyWorkTypes(ArrayOfstring value) {
        this.bodyWorkTypes = value;
    }

    /**
     * Gets the value of the bodyWorkTypesIDs property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getBodyWorkTypesIDs() {
        return bodyWorkTypesIDs;
    }

    /**
     * Sets the value of the bodyWorkTypesIDs property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setBodyWorkTypesIDs(ArrayOfstring value) {
        this.bodyWorkTypesIDs = value;
    }

    /**
     * Gets the value of the doors property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfint }
     *     
     */
    public ArrayOfint getDoors() {
        return doors;
    }

    /**
     * Sets the value of the doors property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfint }
     *     
     */
    public void setDoors(ArrayOfint value) {
        this.doors = value;
    }

    /**
     * Gets the value of the seats property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfint }
     *     
     */
    public ArrayOfint getSeats() {
        return seats;
    }

    /**
     * Sets the value of the seats property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfint }
     *     
     */
    public void setSeats(ArrayOfint value) {
        this.seats = value;
    }

    /**
     * Gets the value of the weights property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfint }
     *     
     */
    public ArrayOfint getWeights() {
        return weights;
    }

    /**
     * Sets the value of the weights property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfint }
     *     
     */
    public void setWeights(ArrayOfint value) {
        this.weights = value;
    }

    /**
     * Gets the value of the wheelbases property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfint }
     *     
     */
    public ArrayOfint getWheelbases() {
        return wheelbases;
    }

    /**
     * Sets the value of the wheelbases property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfint }
     *     
     */
    public void setWheelbases(ArrayOfint value) {
        this.wheelbases = value;
    }

    /**
     * Gets the value of the overallLengths property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfint }
     *     
     */
    public ArrayOfint getOverallLengths() {
        return overallLengths;
    }

    /**
     * Sets the value of the overallLengths property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfint }
     *     
     */
    public void setOverallLengths(ArrayOfint value) {
        this.overallLengths = value;
    }

    /**
     * Gets the value of the overallHeights property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfint }
     *     
     */
    public ArrayOfint getOverallHeights() {
        return overallHeights;
    }

    /**
     * Sets the value of the overallHeights property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfint }
     *     
     */
    public void setOverallHeights(ArrayOfint value) {
        this.overallHeights = value;
    }

    /**
     * Gets the value of the brandLocalNames property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getBrandLocalNames() {
        return brandLocalNames;
    }

    /**
     * Sets the value of the brandLocalNames property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setBrandLocalNames(ArrayOfstring value) {
        this.brandLocalNames = value;
    }

    /**
     * Gets the value of the modelLocalNames property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getModelLocalNames() {
        return modelLocalNames;
    }

    /**
     * Sets the value of the modelLocalNames property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setModelLocalNames(ArrayOfstring value) {
        this.modelLocalNames = value;
    }

    /**
     * Gets the value of the equipmentLocalLevels property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getEquipmentLocalLevels() {
        return equipmentLocalLevels;
    }

    /**
     * Sets the value of the equipmentLocalLevels property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setEquipmentLocalLevels(ArrayOfstring value) {
        this.equipmentLocalLevels = value;
    }

    /**
     * Gets the value of the vehicleKinds property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getVehicleKinds() {
        return vehicleKinds;
    }

    /**
     * Sets the value of the vehicleKinds property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setVehicleKinds(ArrayOfstring value) {
        this.vehicleKinds = value;
    }

    /**
     * Gets the value of the vehicleKindsIDs property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getVehicleKindsIDs() {
        return vehicleKindsIDs;
    }

    /**
     * Sets the value of the vehicleKindsIDs property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setVehicleKindsIDs(ArrayOfstring value) {
        this.vehicleKindsIDs = value;
    }

    /**
     * Gets the value of the overallWidths property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfint }
     *     
     */
    public ArrayOfint getOverallWidths() {
        return overallWidths;
    }

    /**
     * Sets the value of the overallWidths property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfint }
     *     
     */
    public void setOverallWidths(ArrayOfint value) {
        this.overallWidths = value;
    }

    /**
     * Gets the value of the payloads property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfint }
     *     
     */
    public ArrayOfint getPayloads() {
        return payloads;
    }

    /**
     * Sets the value of the payloads property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfint }
     *     
     */
    public void setPayloads(ArrayOfint value) {
        this.payloads = value;
    }

    /**
     * Gets the value of the wheelbasesPlus property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfint }
     *     
     */
    public ArrayOfint getWheelbasesPlus() {
        return wheelbasesPlus;
    }

    /**
     * Sets the value of the wheelbasesPlus property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfint }
     *     
     */
    public void setWheelbasesPlus(ArrayOfint value) {
        this.wheelbasesPlus = value;
    }

    /**
     * Gets the value of the cabinTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getCabinTypes() {
        return cabinTypes;
    }

    /**
     * Sets the value of the cabinTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setCabinTypes(ArrayOfstring value) {
        this.cabinTypes = value;
    }

    /**
     * Gets the value of the boxTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfstring }
     *     
     */
    public ArrayOfstring getBoxTypes() {
        return boxTypes;
    }

    /**
     * Sets the value of the boxTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfstring }
     *     
     */
    public void setBoxTypes(ArrayOfstring value) {
        this.boxTypes = value;
    }

    public WSSearchCriteriaValuesResponse withTxID(Long value) {
        setTxID(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withBrandNames(ArrayOfstring value) {
        setBrandNames(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withModelNames(ArrayOfstring value) {
        setModelNames(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withModelGenerations(ArrayOfint value) {
        setModelGenerations(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withModelYears(ArrayOfint value) {
        setModelYears(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withModelCodesOM(ArrayOfstring value) {
        setModelCodesOM(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withEquipmentLevels(ArrayOfstring value) {
        setEquipmentLevels(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withEngineCapacitiesCcm(ArrayOfint value) {
        setEngineCapacitiesCcm(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withEngineCapacitiesLiters(ArrayOfdecimal value) {
        setEngineCapacitiesLiters(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withEnginePowersKW(ArrayOfint value) {
        setEnginePowersKW(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withFuelTypes(ArrayOfstring value) {
        setFuelTypes(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withFuelTypesIDs(ArrayOfstring value) {
        setFuelTypesIDs(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withGearboxTypes(ArrayOfstring value) {
        setGearboxTypes(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withGearboxTypesIDs(ArrayOfstring value) {
        setGearboxTypesIDs(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withGears(ArrayOfint value) {
        setGears(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withDriveTypes(ArrayOfstring value) {
        setDriveTypes(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withDriveTypesIDs(ArrayOfstring value) {
        setDriveTypesIDs(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withBodyWorkTypes(ArrayOfstring value) {
        setBodyWorkTypes(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withBodyWorkTypesIDs(ArrayOfstring value) {
        setBodyWorkTypesIDs(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withDoors(ArrayOfint value) {
        setDoors(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withSeats(ArrayOfint value) {
        setSeats(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withWeights(ArrayOfint value) {
        setWeights(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withWheelbases(ArrayOfint value) {
        setWheelbases(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withOverallLengths(ArrayOfint value) {
        setOverallLengths(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withOverallHeights(ArrayOfint value) {
        setOverallHeights(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withBrandLocalNames(ArrayOfstring value) {
        setBrandLocalNames(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withModelLocalNames(ArrayOfstring value) {
        setModelLocalNames(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withEquipmentLocalLevels(ArrayOfstring value) {
        setEquipmentLocalLevels(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withVehicleKinds(ArrayOfstring value) {
        setVehicleKinds(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withVehicleKindsIDs(ArrayOfstring value) {
        setVehicleKindsIDs(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withOverallWidths(ArrayOfint value) {
        setOverallWidths(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withPayloads(ArrayOfint value) {
        setPayloads(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withWheelbasesPlus(ArrayOfint value) {
        setWheelbasesPlus(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withCabinTypes(ArrayOfstring value) {
        setCabinTypes(value);
        return this;
    }

    public WSSearchCriteriaValuesResponse withBoxTypes(ArrayOfstring value) {
        setBoxTypes(value);
        return this;
    }

}
